Loading...
Searching...
No Matches
osmium::object_order_type_id_version Struct Reference

`#include <object_comparisons.hpp>`

## Public Member Functions

bool | operator() (const osmium::OSMObject &lhs, const osmium::OSMObject &rhs) const noexcept
bool | operator() (const osmium::OSMObject *lhs, const osmium::OSMObject *rhs) const noexcept

## Detailed Description

Function object class for ordering OSM objects by type, id, version, and timestamp.

## Member Function Documentation

## operator()() [1/2]

bool osmium::object_order_type_id_version::operator() | ( | const osmium::OSMObject & | lhs,
|  | const osmium::OSMObject & | rhs
| ) |  | const

inline noexcept

## operator()() [2/2]

bool osmium::object_order_type_id_version::operator() | ( | const osmium::OSMObject * | lhs,
|  | const osmium::OSMObject * | rhs
| ) |  | const

inline noexcept

Precondition
  lhs and rhs must not be nullptr

The documentation for this struct was generated from the following file:

- include/osmium/osm/object_comparisons.hpp